classification
Title: Document ElementInclude (XInclude) support in ElementTree
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: CuriousLearner, Mariatta, bansalanjali, docs@python, scoder, underscore_asterisk
Priority: normal Keywords: easy, patch

Created on 2018-03-30 16:34 by scoder, last changed 2019-11-01 06:24 by scoder. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8861 merged bansalanjali, 2018-08-22 14:04
PR 15958 merged miss-islington, 2019-09-11 14:11
PR 15972 merged miss-islington, 2019-09-11 14:53
Messages (11)
msg314691 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2018-03-30 16:34
The ElementInclude module in ElementTree seems undocumented. I couldn't find any documentation in the stdlib docs. Pretty much the only source that I could find is here:

http://effbot.org/zone/element-xinclude.htm

I noticed it while looking for a place to document the changes of #20928.
msg322094 - (view) Author: Anjali Bansal (bansalanjali) * Date: 2018-07-21 10:14
I would work on it. please guide me how to proceed?

Thanks
Anjali
msg322100 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-07-21 14:15
Please read the devguide on how to get started contributing: https://devguide.python.org.

You'll also need to sign the CLA:
https://devguide.python.org/pullrequest/?highlight=Cla#licensing
msg322148 - (view) Author: Anjali Bansal (bansalanjali) * Date: 2018-07-22 15:51
Thank you for the information. I had started working on this issue. You can assign it to me if needed. I will create a PR soon.
Github Username: bansalanjali2512
msg323118 - (view) Author: Sanyam Khurana (CuriousLearner) * (Python triager) Date: 2018-08-04 19:48
Hello Anjali,

As far as I remember, you started this in a PyDelhi Dev Sprint. So, just wanted to check around, if you're looking for any help :)
msg323818 - (view) Author: (underscore_asterisk) * Date: 2018-08-21 04:42
Hello,

Can I take this up? I will create a PR either later today or tomorrow.
msg323885 - (view) Author: Anjali Bansal (bansalanjali) * Date: 2018-08-22 14:18
Hello, 

I had created the PR for this issue. Please review and let me know if any modification required.

GitHub PR: https://github.com/python/cpython/pull/8861

bpo-33187: Fix document ElementInclude (XInclude) support in ElementTree issue.
msg341662 - (view) Author: Sanyam Khurana (CuriousLearner) * (Python triager) Date: 2019-05-06 23:09
Hello Anjali,

This PR is still lurking for your updates from almost 11 months. Please let us know if you're still working on this, else, we'll get this in.

Thanks for your work!
msg351889 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2019-09-11 14:09
New changeset 97b817eae34b77be1ced382e15098a112f547848 by Stefan Behnel (Anjali Bansal) in branch 'master':
bpo-33187: Document ElementInclude (XInclude) support in ElementTree (GH-8861)
https://github.com/python/cpython/commit/97b817eae34b77be1ced382e15098a112f547848
msg351914 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2019-09-11 14:48
New changeset 6cf0ba8a632b1c0bd3576ed33c971ca3778000de by Stefan Behnel (Miss Islington (bot)) in branch '3.8':
bpo-33187: Document ElementInclude (XInclude) support in ElementTree (GH-8861) (GH-15958)
https://github.com/python/cpython/commit/6cf0ba8a632b1c0bd3576ed33c971ca3778000de
msg351949 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2019-09-11 15:36
New changeset 195dc142f84804ad9c8ce91414ab4a0bf9615f09 by Stefan Behnel (Miss Islington (bot)) in branch '3.7':
bpo-33187: Document ElementInclude (XInclude) support in ElementTree (GH-8861) (GH-15972)
https://github.com/python/cpython/commit/195dc142f84804ad9c8ce91414ab4a0bf9615f09
History
Date User Action Args
2019-11-01 06:24:09scodersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-11 15:36:44scodersetmessages: + msg351949
2019-09-11 14:53:00miss-islingtonsetpull_requests: + pull_request15605
2019-09-11 14:52:43scodersetversions: + Python 3.7
2019-09-11 14:48:37scodersetmessages: + msg351914
2019-09-11 14:11:22miss-islingtonsetpull_requests: + pull_request15593
2019-09-11 14:09:56scodersetmessages: + msg351889
2019-09-11 14:08:59scodersetversions: - Python 3.7
2019-09-11 10:15:17scodersetversions: + Python 3.9, - Python 3.4, Python 3.5, Python 3.6
2019-05-06 23:09:25CuriousLearnersetmessages: + msg341662
2018-08-23 20:37:30scodersetversions: + Python 3.4, Python 3.5, Python 3.6, Python 3.7
2018-08-22 14:18:18bansalanjalisetmessages: + msg323885
2018-08-22 14:04:49bansalanjalisetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request8332
2018-08-21 04:42:32underscore_asterisksetnosy: + underscore_asterisk
messages: + msg323818
2018-08-04 19:48:24CuriousLearnersetnosy: + CuriousLearner
messages: + msg323118
2018-07-22 15:51:49bansalanjalisetmessages: + msg322148
2018-07-21 14:15:21Mariattasetnosy: + Mariatta
messages: + msg322100
2018-07-21 10:14:37bansalanjalisetnosy: + bansalanjali
messages: + msg322094
2018-04-06 21:29:36ned.deilysetkeywords: + easy
stage: needs patch
versions: + Python 3.8
2018-03-30 16:34:54scodercreate